#include "Subject.h"

#include "View.h"
#include "Flaw.h"

namespace MM
{

Subject::~Subject() { }

void Subject:: 
notify() const
{
    for( int i=0;  i<view_.size();  ++i ) 
        view_[ i ]->update();
}

void Subject::
attach( View & view ) const
{
    view_.push_back( & view );
}

void Subject::
detach( View & ) const
{
    FIX;
}

}//MM
